%define		fversion	%(echo %{version} |tr r -)
%define		modulename	gee
Summary:	Generalized Estimation Equation solver
Summary(pl.UTF-8):	Rozwiązywanie uogólnionych równań estymacji
Name:		R-cran-%{modulename}
Version:	4.13r18
Release:	3
License:	GPL v2
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	7a74002026426cfbb58e212bf31af38c
BuildRequires:	R >= 2.8.1
BuildRequires:	blas-devel
BuildRequires:	gcc-fortran
Requires(post,postun):	R >= 2.8.1
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generalized Estimation Equation solver.

%description -l pl.UTF-8
Rozwiązywanie uogólnionych równań estymacji.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library/
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,README*}
%{_libdir}/R/library/%{modulename}
%changelog
* Thu May 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-cran-gee.git;a=log;h=auto/th/R-cran-gee-4.13r18-3

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> a236cb7
- rebuild with lapack 3.7
- release 3 (by relup.sh)

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 031d5fe
- fixed install
- rel 2

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 3a9da5d
- up to 4.13-18

* Sun Jan 04 2009 Jan Rękorajski <baggins@pld-linux.org> 35a4f50
- updated R reqs

* Wed Mar 12 2008 Elan Ruusamäe <glen@pld-linux.org> 7a132a8
- revert R-base ver bump

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e401961
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 173bff3
- converted to UTF-8

* Thu Feb 08 2007 Jan Rękorajski <baggins@pld-linux.org> 7e1c7ad
- fixed post script for R 2.4.0
- R: R >= 2.4.0

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> 7994142
- fix duplicate %descriptions

* Fri Jun 03 2005 zbyniu <zbyniu@pld-linux.org> f408065
- BR: blas-devel, gcc-g77

* Sat Nov 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 6fa9868
- pl fixes, License unification

* Tue Nov 16 2004 undefine <undefine@pld-linux.org> 3c324f3
- initital

